Subject: [alpine-devel] [PATCH] testing/lua-sec-prosody: new aport

From: Borys Zhukov <[email-masked]>
Date: Sat, 7 Sep 2013 19:28:01 +0000

---
 testing/lua-sec-prosody/APKBUILD       | 52 ++++++++++++++++++++++++++++++++++
 testing/lua-sec-prosody/Makefile.patch | 11 +++++++
 2 files changed, 63 insertions(+)
 create mode 100644 testing/lua-sec-prosody/APKBUILD
 create mode 100644 testing/lua-sec-prosody/Makefile.patch

diff --git a/testing/lua-sec-prosody/APKBUILD b/testing/lua-sec-prosody/APKBUILD
new file mode 100644
index 0000000..afb2ef2
--- /dev/null
+++ b/testing/lua-sec-prosody/APKBUILD
@@ -0,0 +1,52 @@
+# Contributor: Borys Zhukov <[email-masked]>
+# Maintainer:
+pkgname=lua-sec-prosody
+_name=luasec-prosody
+pkgver=0.5.1
+pkgrel=0
+pkgdesc="Temporary fork of lua-sec necessary for prosody to support certificate authentication"
+url="https://prosody.im/doc/depends/luasec/prosody"
+arch="all"
+license="MIT"
+depends="lua-socket"
+makedepends="lua-dev openssl-dev"
+install=
+subpackages="$pkgname-doc"
+source="
+	https://prosody.im/tmp/luasec-prosody-$pkgver.tar.gz
+	Makefile.patch
+	"
+
+_builddir="$srcdir"/$_name-$pkgver
+
+prepare() {
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	make linux || return 1
+}
+
+package() {
+	_luasharedir=/usr/share/lua/5.1
+	_lualibdir=/usr/lib/lua/5.1
+	cd "$_builddir"
+	mkdir -p "$pkgdir"/$_luasharedir "$pkgdir"/$_lualibdir
+	make LUAPATH="$pkgdir"/$_luasharedir \
+		LUACPATH="$pkgdir"/$_lualibdir \
+		install
+	mkdir -p "$pkgdir"/usr/share/doc/$pkgname
+	cp -r samples "$pkgdir"/usr/share/doc/$pkgname/
+}
+md5sums="fbe70f5b43419bec16afdfee2b21c34b  luasec-prosody-0.5.1.tar.gz
+668380897f8711fa3b213c685592cf1f  Makefile.patch"
+sha256sums="2fd34cf9c59a6491937c98ba33921d4fc418b160c0c89545f7bae4f246280ad4  luasec-prosody-0.5.1.tar.gz
+0957c69d587519f3083a8d92171442fe67993e725bd0c645f5600509e8a3ad6c  Makefile.patch"
+sha512sums="eadae7f59e957ebc8df074c8e43b181380393e8dd2042bbd098576bf2d7710aa0abb4ccc87eb1b52d28e0473cc52626be6e06eabdec8821deca1cda82ad7cfe7  luasec-prosody-0.5.1.tar.gz
+f250506a7425502932ca784e3ea0c5784f0d3668f525fa8ea5d91eb198bb3b747d67b547f6f2d4ea42546f72df7a66607e2318ce823e612edb7c966466767781  Makefile.patch"
diff --git a/testing/lua-sec-prosody/Makefile.patch b/testing/lua-sec-prosody/Makefile.patch
new file mode 100644
index 0000000..958c24a
--- /dev/null
+++ b/testing/lua-sec-prosody/Makefile.patch
@@ -0,0 +1,11 @@
+--- a/src/Makefile.orig
++++ b/src/Makefile
+@@ -22,7 +22,7 @@
+ 
+ INSTALL	?= install
+ CC	?= cc
+-LD	?= $(MYENV) cc
++LD	= $(MYENV) cc
+ CFLAGS	+= $(MYCFLAGS)
+ LDFLAGS	+= $(MYLDFLAGS)
+ DESTDIR	?= /
-- 
1.8.4

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---